Skip to main content

What email clients are supported?

Office 365 is designed to work with any version of Microsoft Office that is in Microsoft mainstream support (Outlook2013, Outlook 2010 Sp1 / sp2 after Oct 2014, Outlook for Mac2011 SP3).
Office 365 is not designed to work with earlier versions of Office. Some may still connect, however, you should expect the quality of the user experience to diminish over time, and many new Office 365 experiences will not work at all.

We recommend that you use Outlook 2013 as the most reliable client and this is fully supported by IT Services.

  • More information on Outlook 2013 available here
  • More information and how to obtain Office 2013 available here

POP and IMAP

You may be able to connect using any email program that supports POP or IMAP. If you do, you’ll be limited to basic email features and won’t be able to use the Calendar or Contacts. Setup information is available from Microsoft.

WebMail / OWA
Office 365 is designed to work with the current or immediately previous version of Internet Explorer or Firefox and the latest version of Chrome or Safari.
You may be able to connect with earlier versions however you should expect the quality of the user experience to diminish over time, and many new Office 365 experiences will not work at all.